유비쿼터스 환경에서 콘텐츠 적응화를 위한 CC/PP기반의 유비쿼터스 프로파일 및 운영 아키텍쳐 설계
A Design of Management Architecture and Ubiquitous Profile Based on CC/PP for Content Adaptation in Ubiquitous Environment
1
조회
0
다운로드
3
인용
0
참고문헌
키워드
초록
본 논문에서는 유비쿼터스 환경에서 콘텐츠 적응화를 위한 CC/PP기반의 유비쿼터스 프로파일 및 운영 아키텍쳐를 설계한다. 유비쿼터스 프로파일의 컴포넌트와 속성들은 유비쿼터스 환경에서 콘텐츠 적응화 서비스 시나리오를 기반으로 정의하였다. 유비쿼터스 프로파일 설계 시 유비쿼터스 환경에서 효율적으로 사용하기 위해서 RDF, RDF Schema, CC/PP Structure, 표준 어휘 등의 기법들을 적용하였다. 또한, 유비쿼터스 프로파일의 효율적인 운영을 위해 게이트웨이 중심의 운영 방법, 저장소를 이용한 메타데이터 구성 방법, 동적 구성 방법 등의 아이디어들을 기반으로 운영 아키텍쳐를 제안하고 설계하였다. 제안한 운영 아키텍쳐에 대한 성능 평가 결과 기존의 프로파일 운영 방법 보다 더 효율적이었다. 제안된 유비쿼터스 프로파일 및 운영 아키텍쳐는 유비쿼터스 환경에서 사용자에게 적응화된 콘텐츠를 서비스를 위한 연구의 기반을 마련해 주었다.
Abstract
In this paper, the management architecture and the ubiquitous profile based on CC/PP for contents adaptation in the ubiquitous environment is designed. The components and the attributes of the ubiquitous profile are defined based on the services scenario of contents adaptation in the ubiquitous environment. The ubiquitous profile was applied to techniques such as standard vocabulary, CC/PP structure, RDF schema and RDF to use effectively in the ubiquitous environment during the design. Also we design and propose the another management architecture based on ideas such as the dynamic constitution method, the metadata constitution method using a repository and the management method of gateway on center for the effective management of the ubiquitous profile. The result of performance evaluation for the proposed management architecture is more effective compared with the previous management method of the profile. The proposed the ubiquitous profile and the management architecture has provided the foundation of the research for a user to adaptation contents services in the ubiquitous environment.
참고문헌 (15)
- "A framework for coordinated multi-modal browsing with multiple clients", pp.718~726
- "Some computer science issues in ubiquitous computing", 36. issue 7(7584), pp.1993~
- "Managing context information in mobile devices", 2, pp.42~51 (2003)
- "Comprehensive Structured Context Profile(CSCP) Design and Experience", pp.43~47 (2004)
- "Encoding Multimedia Presentation for User Preferences and Limited Environments", pp.165~168 (2003)
- "Content Adaptation and Generation Principles for Heterogeneous Clients" (2002)
- "The Negotiation of Multimedia Content Services in Heterogeneous Environments", pp.187~206 (2001)
- "Universal Profiling Schema for Content Negotiation" (2002)
- "RFC 2533: A Syntax for Describing Media Feature Sets", pp.2533~2533 (1999)
- "RFC 2506: Media Feature Tag Registration Procedure" (1999)
- "RFC 2534: Media Features for Display, Print, and Fax", pp.2534~2534 (1999)
- "Hewlett-Packard Laboratories"RDF Primer" (2004)
- "RDF Vocabulary Description Language 1.0 :RDF Schema" (2004)
- "Composite Capability", Preference Profiles (CC, pp.2004.1[DOI]
- "UAProf(User Agent Profile) Open Mobile Alliance" (2003)
